/**
 * A custom React hook that facilitates drag-and-drop operations.
 * It tracks the dragging state and the data being dragged.
 *
 * @typeparam T The type of the data involved in the drag-and-drop operation.
 * @returns An object containing the drag state, and functions to start and end the drag.
 *
 **/
export declare function useDragAndDrop<T>(): {
    handleDragStart: (data: T) => void;
    handleDragEnd: () => void;
    isDragging: boolean;
    draggedData: T | null;
};
